<?php
/**
 * Clase DP para CrBusquedaDP
 *
 * @package    
 * @subpackage CrBusquedaDP
 * @author     Willy
 * @version    SVN:: CrBusquedaDP.class.php,v 1.1 2022-01-06 11:31:39 william.taype Exp $
 */
class CrBusquedaDP extends BaseCrBusquedaDP
{
	
	 public function save()
  {
    try
    {
      $con = Conexion::getConexion();
     
        $a_Fields = array();

        if($this->getIdbusqueda()) : $a_Fields['idbusqueda'] = ($this->getIdbusqueda()); endif;
        if($this->getTipobusqueda()) : $a_Fields['tipobusqueda'] = ($this->getTipobusqueda()); endif;
        if($this->getDocumento()) : $a_Fields['documento'] = ($this->getDocumento()); endif;
        if($this->getNombrecompleto()) : $a_Fields['nombrecompleto'] = ($this->getNombrecompleto()); endif;
        if($this->getOrigenbusqueda()) : $a_Fields['origenbusqueda'] = ($this->getOrigenbusqueda()); endif;
        if($this->getFechaemision()) : $a_Fields['fechaemision'] = ($this->getFechaemision()); endif;
        if($this->getFechacaducidad()) : $a_Fields['fechacaducidad'] = ($this->getFechacaducidad()); endif;
        if($this->getEstado()) : $a_Fields['estado'] = ($this->getEstado()); endif;
        if($this->getIdcliente()) : $a_Fields['idcliente'] = ($this->getIdcliente()); endif;
        if($this->getFechaasociarbusqueda()) : $a_Fields['fechaasociarbusqueda'] = ($this->getFechaasociarbusqueda()); endif;
        if($this->getTramaresultado()) : $a_Fields['tramaresultado'] = ($this->getTramaresultado()); endif;
        if($this->getFechacreacion()) : $a_Fields['fechacreacion'] = ($this->getFechacreacion()); endif;
        if($this->getUsuariocreacion()) : $a_Fields['usuariocreacion'] = ($this->getUsuariocreacion()); endif;
        if($this->getToken()) : $a_Fields['token'] = ($this->getToken()); endif;

        $sStringField = arrayClass::implode_keys(',', $a_Fields);
        $sStringValue = "'".implode("','", $a_Fields)."'";

        $sql = "INSERT INTO cr_busqueda (".$sStringField.") VALUES (".$sStringValue.");";
        $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
        if($result)
        {
          return mysql_insert_id($con);
        }
        else
        {
          throw new Exception( mysql_error($con) );
        }
     
    }
    catch ( Exception $o_Error )
    {
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
    return true;
  }
}